package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class UnitConverterDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(UnitConverterDTO.class);
        UnitConverterDTO unitConverterDTO1 = new UnitConverterDTO();
        unitConverterDTO1.setId(1L);
        UnitConverterDTO unitConverterDTO2 = new UnitConverterDTO();
        assertThat(unitConverterDTO1).isNotEqualTo(unitConverterDTO2);
        unitConverterDTO2.setId(unitConverterDTO1.getId());
        assertThat(unitConverterDTO1).isEqualTo(unitConverterDTO2);
        unitConverterDTO2.setId(2L);
        assertThat(unitConverterDTO1).isNotEqualTo(unitConverterDTO2);
        unitConverterDTO1.setId(null);
        assertThat(unitConverterDTO1).isNotEqualTo(unitConverterDTO2);
    }
}
